package cc.smtweb.system.bpm.web.engine.model.listcard.normal;

import cc.smtweb.framework.core.annotation.SwBody;
import cc.smtweb.framework.core.annotation.SwService;
import cc.smtweb.framework.core.common.R;
import cc.smtweb.framework.core.common.SwMap;
import cc.smtweb.framework.core.mvc.service.AbstractHandler;
import cc.smtweb.framework.core.session.UserSession;
import cc.smtweb.system.bpm.web.engine.model.listcard.single.LCSingleService;

/**
 * @Author:lip
 * @Date : 2022/8/27 13:54
 */
@SwService
public class LCNormalService extends LCSingleService {

    @Override
    protected AbstractHandler createHandler(String type) {
        if (type.equals(TYPE_MODEL_DEL)){
            return new LCNormalDelHandler();
        }
        return super.createHandler(type);
    }

    //删除
    public R modelDel(@SwBody SwMap params, UserSession us) {
        return pageHandler(params, us, TYPE_MODEL_DEL, handler -> ((LCNormalDelHandler)handler).del());
    }
}
